Bug 223753 - www/qutebrowser missing runtime dependency
Summary: www/qutebrowser missing runtime dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-19 18:30 UTC by Adam Schaefers
Modified: 2017-11-21 05:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Schaefers 2017-11-19 18:30:36 UTC
The new www/qutebrowser port needs to make py36-sip a runtime dependency or else it fails to load. Thank you!

$ qutebrowser --backend webkit

Traceback (most recent call last):
  File "/usr/local/bin/qutebrowser", line 11, in <module>
    load_entry_point('qutebrowser==1.0.3', 'gui_scripts', 'qutebrowser')()
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2751, in load_entry_point
    return ep.load()
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2405, in load
    return self.resolve()
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2411, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/local/lib/python3.6/site-packages/qutebrowser/qutebrowser.py", line 54, in <module>
    from qutebrowser.utils import log
  File "/usr/local/lib/python3.6/site-packages/qutebrowser/utils/log.py", line 34, in <module>
    from PyQt5 import QtCore
ModuleNotFoundError: No module named 'sip'
Comment 1 Roman Bogorodskiy freebsd_committer 2017-11-20 17:28:51 UTC
Thanks for pointing that out!
I hope to commit a fix tomorrow; I also decided to explicitly add dependencies listed in requirements.txt even if they're pulled by some other dependencies. Right now running a poudriere check, but most probably it won't finish before I go to bed.
Comment 2 commit-hook freebsd_committer 2017-11-21 05:30:47 UTC
A commit references this bug:

Author: novel
Date: Tue Nov 21 05:30:19 UTC 2017
New revision: 454587
URL: https://svnweb.freebsd.org/changeset/ports/454587

Log:
  www/qutebrowser: fix dependencies

   - Add missing py-sip dependency [1]
   - Explicitly add dependencies listed in requirements.txt, even they're
     pulled by other dependencies; sort them in the same way to make
     tracking easier
   - Set NO_ARCH
   - Bump PORTREVISION

  PR:		223753 [1]
  Submitted by:	sch@efers.org [1]

Changes:
  head/www/qutebrowser/Makefile
Comment 3 Roman Bogorodskiy freebsd_committer 2017-11-21 05:33:45 UTC
Fixed, thanks!
Comment 4 Adam Schaefers 2017-11-21 05:41:51 UTC
No, thank you !